/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/facade/TagTaskFacade.h

\brief
*/

#ifndef __TERRAAMAZON_MODEL_FACADE_TAGTASKFACADE_H
#define __TERRAAMAZON_MODEL_FACADE_TAGTASKFACADE_H

// TerraAmazon
#include "AbstractFacade.h"

namespace ta
{
  namespace model
  {
    class TagTask;

    class TagTaskFacade: public AbstractFacade
    {
      public:

        /*! Default Constructor */
        TagTaskFacade(te::da::DataSourcePtr ds);

        /*! \brief Virtual destructor. */
        ~TagTaskFacade();

      protected:

        bool checkProperties(ta::model::AbstractItem* item);

        bool hasDependecy(const int& id);
    };
  } // end namespace model
}   // end namespace ta

#endif // __TERRAAMAZON_MODEL_FACADE_TASKFACADE_H
