/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item_mem/AoiLayerMem.h

\brief This file defines the AoiLayerMem model.
*/

#ifndef __TERRAAMAZON_MODEL_ITEM_MEM_AOILAYER_MEM_H
#define __TERRAAMAZON_MODEL_ITEM_MEM_AOILAYER_MEM_H

// TerraAmazon
#include "../item/AoiLayer.h"

// STL
#include <string>

namespace ta
{
  namespace model
  {
    /*!
    \class AoiLayerMem

    \brief This class defines the AoiLayerMem model.

    \ingroup model

    \sa AoiLayer
    */
    class AoiLayerMem : public AoiLayer
    {

    public:

      /*! \brief Default constructor  */
      AoiLayerMem();

      /*! \brief Default destructor  */
      ~AoiLayerMem();

    };
  } // end namespace model
}   // end namespace ta

#endif // __TERRAAMAZON_MODEL_ITEM_MEM_AOILAYER_MEM_H

