/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item_mem/ClassMem.h

\brief This file defines the ClassMem model.
*/

#ifndef __TERRAAMAZON_MODEL_ITEM_MEM_CLASS_MEM_H
#define __TERRAAMAZON_MODEL_ITEM_MEM_CLASS_MEM_H

// TerraAmazon
#include "../item/Class.h"

// STL
#include <string>

namespace ta
{
  namespace model
  {
    /*!
    \class ClassMem

    \brief This class defines the ClassMem model.

    \ingroup model

    \sa Class
    */
    class ClassMem : public Class
    {

    public:

      /*! \brief Default constructor  */
      ClassMem();

      /*! \brief Default destructor  */
      ~ClassMem();

    };
  } // end namespace model
}   // end namespace ta

#endif // __TERRAAMAZON_MODEL_ITEM_MEM_CLASS_MEM_H

