/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item_mem/ProjectMem.h

\brief This file defines the ProjectMem model.
*/

// TerraAmazon
#include "ProjectMem.h"

// TerraLib

const std::string ta::model::ProjectMem::sm_ruleSetMems("rulesetmems");

ta::model::ProjectMem::ProjectMem()
: Project()
{
}

ta::model::ProjectMem::~ProjectMem()
{
}

std::vector<ta::model::RuleSetMem*>& ta::model::ProjectMem::getRuleSetMems()
{
  return m_ruleSetMems;
}

void ta::model::ProjectMem::setRuleSetMems(std::vector<ta::model::RuleSetMem*> ruleSetMems)
{
  m_ruleSetMems = ruleSetMems;
}