/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item_mem/RuleMem.h

\brief This file defines the RuleMem model.
*/

// TerraAmazon
#include "RuleMem.h"

// TerraLib

const std::string ta::model::RuleMem::sm_catalogMem("catalogmem");

ta::model::RuleMem::RuleMem()
: Rule()
{
}

ta::model::RuleMem::~RuleMem()
{
}

ta::model::CatalogMem* ta::model::RuleMem::getCatalogMem()
{
  return m_catalogMem;
}

void ta::model::RuleMem::setCatalogMem(ta::model::CatalogMem* catalogMem)
{
  m_catalogMem = catalogMem;
}