/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item_mem/RuleStructMem.h

\brief This file defines the RuleStructMem model.
*/

// TerraAmazon
#include "RuleStructMem.h"

// TerraLib

const std::string ta::model::RuleStructMem::sm_ruleMem("rulemem");
const std::string ta::model::RuleStructMem::sm_priority("priority");
const std::string ta::model::RuleStructMem::sm_rulesLayerColumnMems("ruleslayercolumnmems");

ta::model::RuleStructMem::RuleStructMem()
{
}

ta::model::RuleStructMem::~RuleStructMem()
{
}

ta::model::RuleMem* ta::model::RuleStructMem::getRuleMem()
{
  return m_ruleMem;
}

int ta::model::RuleStructMem::getPriority()
{
  return m_priority;
}

std::vector<ta::model::RulesLayerColumnMem*>& ta::model::RuleStructMem::getRulesLayerColumnMems()
{
  return m_rulesLayerColumnMems;
}

void ta::model::RuleStructMem::setRuleMem(ta::model::RuleMem* ruleMem)
{
  m_ruleMem = ruleMem;
}
void ta::model::RuleStructMem::setPriority(int priority)
{
  m_priority = priority;
}

void ta::model::RuleStructMem::setRulesLayerColumnMems(std::vector<ta::model::RulesLayerColumnMem*> rulesLayerColumnMems)
{
  m_rulesLayerColumnMems = rulesLayerColumnMems;
}

