/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item_mem/RulesLayerColumnMem.h

\brief This file defines the RulesLayerColumnMem model.
*/

#ifndef __TERRAAMAZON_MODEL_ITEM_MEM_RULES_LAYER_COLUMN_MEM_H
#define __TERRAAMAZON_MODEL_ITEM_MEM_RULES_LAYER_COLUMN_MEM_H

// TerraAmazon
#include "../item/RulesLayerColumn.h"

// STL
#include <string>

namespace ta
{
  namespace model
  {
    /*!
    \class RulesLayerColumnMem

    \brief This class defines the RulesLayerColumnMem model.

    \ingroup model

    \sa RulesLayerColumn
    */
    class RulesLayerColumnMem : public RulesLayerColumn
    {

    public:

      /*! \brief Default constructor  */
      RulesLayerColumnMem();

      /*! \brief Default destructor  */
      ~RulesLayerColumnMem();

    };
  } // end namespace model
}   // end namespace ta

#endif // __TERRAAMAZON_MODEL_ITEM_MEM_RULES_LAYER_COLUMN_MEM_H

