/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item_mem/RulesLayerParamsMem.h

\brief This file defines the RulesLayerParamsMem model.
*/

#ifndef __TERRAAMAZON_MODEL_ITEM_MEM_RULES_LAYER_PARAMS_MEM_H
#define __TERRAAMAZON_MODEL_ITEM_MEM_RULES_LAYER_PARAMS_MEM_H

// TerraAmazon
#include "../item/RulesLayerParams.h"

// STL
#include <string>

namespace ta
{
  namespace model
  {
    /*!
    \class RulesLayerParamsMem

    \brief This class defines the RulesLayerParamsMem model.

    \ingroup model

    \sa RulesLayerParams
    */
    class RulesLayerParamsMem : public RulesLayerParams
    {

    public:

      /*! \brief Default constructor  */
      RulesLayerParamsMem();

      /*! \brief Default destructor  */
      ~RulesLayerParamsMem();

    };
  } // end namespace model
}   // end namespace ta

#endif // __TERRAAMAZON_MODEL_ITEM_MEM_RULES_LAYER_PARAMS_MEM_H

