/*  This file is part of the TerraAmazon application.

    See the Copyright file for details about the license of 
    this application.
 */

/*!
  \file Config.h

  \brief Proxy configuration file for TerraAmazon (see terraamazon_config.h).
*/

#ifndef __TERRAAMAZON_CONFIG_H
#define __TERRAAMAZON_CONFIG_H

// TerraAmazon
#include "../terraamazon_config.h"

/*!
  \def TERRAAMAZON_APPLICATION_CONFIG_FILE

  \brief The file that contains the application plugins.
*/
#define TERRAAMAZON_APPLICATION_CONFIG_FILE TAMZ_SOURCE_PATH"/share/terraamazon/config/config.xml"

#endif // __TERRAAMAZON_CONFIG_H
