/*  This file is part of the TerraAmazon application.

    See the Copyright file for details about the license of 
    this application.
 */

// TerraAmazon
#include "Globals.h"

const std::string ta::model::Globals::sm_aoiLayer("terraamazon.ta_aoi_layer");
const std::string ta::model::Globals::sm_catalog("terraamazon.ta_catalog");
const std::string ta::model::Globals::sm_cellLayer("terraamazon.ta_cell_layer");
const std::string ta::model::Globals::sm_class("terraamazon.ta_class");
const std::string ta::model::Globals::sm_classClassgroup("terraamazon.ta_class_classgroup");
const std::string ta::model::Globals::sm_classgroup("terraamazon.ta_classgroup");
const std::string ta::model::Globals::sm_connectedUsers("terraamazon.ta_connected_users");
const std::string ta::model::Globals::sm_group("terraamazon.ta_group");
const std::string ta::model::Globals::sm_groupPhase("terraamazon.ta_group_phase");
const std::string ta::model::Globals::sm_groupUser("terraamazon.ta_group_user");
const std::string ta::model::Globals::sm_phase("terraamazon.ta_phase");
const std::string ta::model::Globals::sm_preferences("terraamazon.ta_preferences");
const std::string ta::model::Globals::sm_process("terraamazon.ta_process");
const std::string ta::model::Globals::sm_project("terraamazon.ta_project");
const std::string ta::model::Globals::sm_projectScene("terraamazon.ta_project_scene");
const std::string ta::model::Globals::sm_revision("terraamazon.ta_revision");
const std::string ta::model::Globals::sm_rule("terraamazon.ta_rule");
const std::string ta::model::Globals::sm_ruleRuleset("terraamazon.ta_rule_ruleset");
const std::string ta::model::Globals::sm_rulesLayerColumn("terraamazon.ta_rules_layer_column");
const std::string ta::model::Globals::sm_rulesLayerParams("terraamazon.ta_rules_layer_params");
const std::string ta::model::Globals::sm_ruleset("terraamazon.ta_ruleset");
const std::string ta::model::Globals::sm_rulesetClass("terraamazon.ta_ruleset_class");
const std::string ta::model::Globals::sm_rulesetProject("terraamazon.ta_ruleset_project");
const std::string ta::model::Globals::sm_scene("terraamazon.ta_scene");
const std::string ta::model::Globals::sm_spatialOperation("terraamazon.ta_spatial_operation");
const std::string ta::model::Globals::sm_tagtask("terraamazon.ta_tagtask");
const std::string ta::model::Globals::sm_task("terraamazon.ta_task");
const std::string ta::model::Globals::sm_tasklog("terraamazon.ta_tasklog");
const std::string ta::model::Globals::sm_user("terraamazon.ta_user");
const std::string ta::model::Globals::sm_version("terraamazon.ta_version");

const std::string ta::model::Globals::sm_catalogAlias("c");
const std::string ta::model::Globals::sm_processAlias("pc");
const std::string ta::model::Globals::sm_projectAlias("pj");
const std::string ta::model::Globals::sm_rulesetAlias("rs");
const std::string ta::model::Globals::sm_ruleRulesetAlias("rrs");
const std::string ta::model::Globals::sm_rulesLayerColumnAlias("rlc");
const std::string ta::model::Globals::sm_ruleAlias("r");
const std::string ta::model::Globals::sm_taskAlias("tk");
const std::string ta::model::Globals::sm_taskLogAlias("tl");
const std::string ta::model::Globals::sm_userAlias("u");

const std::string ta::model::Globals::sm_taUser("tmzuser");
const std::string ta::model::Globals::sm_taPassword("amazon");
const std::string ta::model::Globals::sm_taDefaultPassword("12345");

const std::string ta::model::Globals::sm_adminGroup("Administrator");
const std::string ta::model::Globals::sm_projectManagerGroup("Project Manager");
const std::string ta::model::Globals::sm_operatorGroup("Operator");

const std::string ta::model::Globals::sm_soDifference("Difference");
const std::string ta::model::Globals::sm_soIntersection("Intersection");
const std::string ta::model::Globals::sm_soUnion("Union");
const std::string ta::model::Globals::sm_soClean("Clean");
