/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/facade/TagTaskFacade.cpp

\brief
*/

// TerraAmazon
#include "../Globals.h"
#include "../item/TagTask.h"
#include "TagTaskFacade.h"

// TerraLib
#include <terralib/common/StringUtils.h>
#include <terralib/dataaccess/query/DataSetName.h>
#include <terralib/dataaccess/query/Field.h>
#include <terralib/dataaccess/query/Fields.h>
#include <terralib/dataaccess/query/From.h>
#include <terralib/dataaccess/query/FromItem.h>
#include <terralib/dataaccess/query/PropertyName.h>
#include <terralib/dataaccess/query/Select.h>

ta::model::TagTaskFacade::TagTaskFacade(te::da::DataSourcePtr ds) : ta::model::AbstractFacade(ds)
{
  m_datasetName = ta::model::Globals::sm_task;
}

ta::model::TagTaskFacade::~TagTaskFacade()
{

}

bool ta::model::TagTaskFacade::checkProperties(ta::model::AbstractItem* /*item*/)
{
  return false;
}

bool ta::model::TagTaskFacade::hasDependecy(const int& /*id*/)
{
  return false;
}
