/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item/RulesLayerColumnFactory.h

\brief ...
*/

#ifndef __TERRAAMAZON_MODEL_ITEM_RULESLAYERCOLUMNFACTORY_H
#define __TERRAAMAZON_MODEL_ITEM_RULESLAYERCOLUMNFACTORY_H

// TerraAmazon
#include "AbstractItemFactory.h"

namespace ta
{
  namespace model
  {
    class RulesLayerColumnFactory : public AbstractItemFactory
    {
      
      public:

        static void initialize();

        static void finalize();

        std::string getType() const;

        ~RulesLayerColumnFactory();

      protected:

        RulesLayerColumnFactory();

        ta::model::AbstractItem* build();

        ta::model::AbstractItem* create(te::da::DataSet* ds = 0);

      private:

        static RulesLayerColumnFactory* sm_factory;
    };
  }
}

#endif // __TERRAAMAZON_MODEL_ITEM_RULESLAYERCOLUMNFACTORY_H
