/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item_mem/CellLayerMem.h

\brief This file defines the CellLayerMem model.
*/

#ifndef __TERRAAMAZON_MODEL_ITEM_MEM_CELL_LAYER_MEM_H
#define __TERRAAMAZON_MODEL_ITEM_MEM_CELL_LAYER_MEM_H

// TerraAmazon
#include "../item/CellLayer.h"

// STL
#include <string>

namespace ta
{
  namespace model
  {
    /*!
    \class CellLayerMem

    \brief This class defines the CellLayerMem model.

    \ingroup model

    \sa CellLayer
    */
    class CellLayerMem : public CellLayer
    {

    public:

      /*! \brief Default constructor  */
      CellLayerMem();

      /*! \brief Default destructor  */
      ~CellLayerMem();

    };
  } // end namespace model
}   // end namespace ta

#endif // __TERRAAMAZON_MODEL_ITEM_MEM_CELL_LAYER_MEM_H

