/*  This file is part of the TerraAmazon application.

See the Copyright file for details about the license of
this application.
*/

/*!
\file terraamazon/model/item_mem/RuleRuleSetMem.h

\brief This file defines the RuleRuleSetMem model.
*/

#ifndef __TERRAAMAZON_MODEL_ITEM_MEM_RULERULESET_MEM_H
#define __TERRAAMAZON_MODEL_ITEM_MEM_RULERULESET_MEM_H

// TerraAmazon
#include "../item/RuleRuleSet.h"

// STL
#include <string>

namespace ta
{
  namespace model
  {
    /*!
    \class RuleRuleSetMem

    \brief This class defines the RuleRuleSetMem model.

    \ingroup model

    \sa RuleRuleSetMem
    */
    class RuleRuleSetMem : public RuleRuleSet
    {

    public:

      /*! \brief Default constructor  */
      RuleRuleSetMem();

      /*! \brief Default destructor  */
      ~RuleRuleSetMem();

    };
  } // end namespace model
}   // end namespace ta

#endif // __TERRAAMAZON_MODEL_ITEM_MEM_RULERULESET_MEM_H

